> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synkrony.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar epic



## OpenAPI

````yaml /api-reference/v1/swagger.json post /api/v1/epics
openapi: 3.1.0
info:
  title: API V1
  version: v1
servers:
  - url: https://app.synkrony.ai
security:
  - BearerAuth: []
paths:
  /api/v1/epics:
    post:
      tags:
        - Epics
      summary: Criar epic
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                project_module:
                  type: object
                  properties:
                    name:
                      type: string
                      nullable: true
                    project_id:
                      type: integer
                    description:
                      type: string
                      nullable: true
              required:
                - project_module
      responses:
        '200':
          description: Project module created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProjectModule'
                  epic:
                    $ref: '#/components/schemas/ProjectModule'
                required:
                  - data
components:
  schemas:
    ProjectModule:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
          nullable: true
        project_id:
          type: number
        progress:
          type: number
          nullable: true
        order:
          type: number
          nullable: true
        description:
          type: string
          nullable: true
        start:
          type: string
          nullable: true
        end:
          type: string
          nullable: true
        dependencies:
          type: array
          items:
            type: string
          nullable: true
        custom_class:
          type: string
      required:
        - id
        - project_id
        - custom_class
        - custom_class
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'API token no formato Bearer. Exemplo: Bearer YOUR_API_TOKEN'

````